#pragma once

#include <render/fx/collection.h>

#include "scene.hpp"

namespace game {

class MainMenu: public Scene
{
private:
    render::fx::collection fxCollection;
    render::fx::effect *bgEffect;
public:
    MainMenu();
    virtual ~MainMenu();

    void Show() noexcept;
    void Hide() noexcept;

    void Update() noexcept;
    void Render() const noexcept;
};

}
